Create address book entry
curl --request POST \
--url https://api.onstacks.io/v1/address-book \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"address": "<string>",
"network_code": "<string>",
"asset_symbol": "<string>",
"trust_status": "trusted",
"notes": "<string>"
}
'import requests
url = "https://api.onstacks.io/v1/address-book"
payload = {
"label": "<string>",
"address": "<string>",
"network_code": "<string>",
"asset_symbol": "<string>",
"trust_status": "trusted",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: '<string>',
address: '<string>',
network_code: '<string>',
asset_symbol: '<string>',
trust_status: 'trusted',
notes: '<string>'
})
};
fetch('https://api.onstacks.io/v1/address-book', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"entry": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"address": "<string>",
"network_code": "<string>",
"trust_status": "trusted",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"display_name": "<string>"
},
"asset_symbol": "<string>",
"notes": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
},
"error": null,
"request_id": "<string>"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "<string>"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "<string>"
}Wallet API
Create address book entry
POST
https://api.onstacks.io
/
v1
/
address-book
Create address book entry
Authorizations
Workspace API key. Send it as Authorization: Bearer <api_key>.
Body
application/json
